Skip to main content
POST
/
api
/
groups
/
participants
/
add
curl -X POST "https://api.oxenty.api.br/api/groups/participants/add" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sessionId": "550e8400-e29b-41d4-a716-446655440000",
    "groupJid": "120363123456789012@g.us",
    "participants": ["5511666666666@s.whatsapp.net"]
  }'
{
  "success": true,
  "results": [
    {
      "jid": "5511666666666@s.whatsapp.net",
      "status": "added"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.oxenty.api.br/llms.txt

Use this file to discover all available pages before exploring further.

Gerencia os participantes de um grupo. Requer permissões de administrador.

Adicionar Participantes

Adiciona novos participantes ao grupo.
sessionId
string
required
ID da sessão.
groupJid
string
required
JID do grupo.
participants
string[]
required
Lista de JIDs para adicionar.
curl -X POST "https://api.oxenty.api.br/api/groups/participants/add" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sessionId": "550e8400-e29b-41d4-a716-446655440000",
    "groupJid": "120363123456789012@g.us",
    "participants": ["5511666666666@s.whatsapp.net"]
  }'
{
  "success": true,
  "results": [
    {
      "jid": "5511666666666@s.whatsapp.net",
      "status": "added"
    }
  ]
}

Remover Participantes

Remove participantes do grupo.
curl -X POST "https://api.oxenty.api.br/api/groups/participants/remove" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sessionId": "550e8400-e29b-41d4-a716-446655440000",
    "groupJid": "120363123456789012@g.us",
    "participants": ["5511666666666@s.whatsapp.net"]
  }'

Promover a Admin

Promove participantes a administradores.
curl -X POST "https://api.oxenty.api.br/api/groups/participants/promote" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sessionId": "550e8400-e29b-41d4-a716-446655440000",
    "groupJid": "120363123456789012@g.us",
    "participants": ["5511888888888@s.whatsapp.net"]
  }'

Rebaixar Admin

Rebaixa administradores a participantes comuns.
curl -X POST "https://api.oxenty.api.br/api/groups/participants/demote" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "sessionId": "550e8400-e29b-41d4-a716-446655440000",
    "groupJid": "120363123456789012@g.us",
    "participants": ["5511888888888@s.whatsapp.net"]
  }'

Possíveis Status de Resultado

StatusDescrição
addedParticipante adicionado com sucesso
removedParticipante removido com sucesso
promotedPromovido a admin
demotedRebaixado de admin
already_in_groupJá é participante
not_in_groupNão está no grupo
blockedParticipante bloqueou você
privacyConfigurações de privacidade impedem